﻿@model MIMS.Portal.ViewModels.BankAccount.BankAccountViewModel
@using MIMS.Portal.Commons.Extensions;

@{
    ViewData["PageTitle"] = "ویرایش حساب بانکی";
}

<form method="post" enctype="multipart/form-data">
    <div class="card">
        <div class="card-header">
            <h4 class="">مشخصات حساب بانکی</h4>
        </div>
        <div class="card-body">
            <div class="card-block">

                <div asp-validation-summary="ModelOnly" class="text-danger"></div>
                <input asp-for="Id" hidden />
                <input asp-for="MerchantId" hidden />

                <div class="form">
                    <div class="form-body">
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label asp-for="MerchantFullName" class="control-label"></label>
                                    <p><strong>@Model.MerchantFullName</strong></p>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label asp-for="MerchantNationalCode" class="control-label"></label>
                                    <p><strong>@Model.MerchantNationalCode</strong></p>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label asp-for="CreatedDate" class="control-label"></label>
                                    <p><strong dir="ltr">@Model.CreatedDate.ToPeString()</strong></p>
                                </div>
                            </div>
                        </div>
                        <hr />
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label asp-for="BankId" class="control-label"></label>
                                    <span asp-validation-for="BankId" class="text-danger"></span>
                                    <select asp-for="BankId" asp-description-for="BankId" asp-items="@ViewBag.Banks" class="form-control">
                                        <option selected value="">--</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label asp-for="BankBranchCode" class="control-label"></label>
                                    <span asp-validation-for="BankBranchCode" class="text-danger"></span>
                                    <input asp-for="BankBranchCode" asp-description-for="BankBranchCode" class="form-control" />
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label asp-for="AccountNumber" class="control-label"></label>
                                    <span asp-validation-for="AccountNumber" class="text-danger"></span>
                                    <input asp-for="AccountNumber" asp-description-for="AccountNumber" class="form-control" />
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label asp-for="AccountIban" class="control-label"></label>
                                    <span asp-validation-for="AccountIban" class="text-danger"></span>
                                    <input asp-for="AccountIban" asp-description-for="AccountIban" class="form-control" />
                                </div>
                            </div>

                            <div class="col-md-3">
                                <div class="form-group">
                                    <label asp-for="AccountHolderFirstName" class="control-label"></label>
                                    <span asp-validation-for="AccountHolderFirstName" class="text-danger"></span>
                                    <input asp-for="AccountHolderFirstName" asp-description-for="AccountHolderFirstName" class="form-control" />
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label asp-for="AccountHolderLastName" class="control-label"></label>
                                    <span asp-validation-for="AccountHolderLastName" class="text-danger"></span>
                                    <input asp-for="AccountHolderLastName" asp-description-for="AccountHolderLastName" class="form-control" />
                                </div>
                            </div>

                        </div>
                    </div>
                </div>

            </div>

        </div>
        <div class="card-footer">
            <button type="submit" class="btn btn-primary btn-min-width">
                <i class="icon-check2"></i>
                ثبت
            </button>
        </div>
    </div>
</form>
